## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global pypi_name shtab

Name:           python-shtab
Version:        1.5.3
Release:        %autorelease
Summary:        Automagic shell tab completion for Python CLI applications

License:        ASL 2.0
URL:            https://github.com/iterative/shtab
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

BuildRequires:  python3dist(pytest)

%description
Automatically generate shell tab completion scripts for Python CLI apps.

%package -n     python3-shtab
Summary:        %{summary}

%description -n python3-shtab
Automatically generate shell tab completion scripts for Python CLI apps.

%prep
%autosetup -n shtab-%{version}
# remove coverage test config
sed -i -e 's/addopts =/#addopts =/' setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files shtab

%check
%pytest

%files -n python3-shtab -f %{pyproject_files}
%license LICENCE
%doc README.rst
%{_bindir}/shtab

%changelog
* Sun Jan 02 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> 1.5.3-1
- Update to 1.5.3. Closes rhbz#2036487

* Fri Dec 03 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> 1.5.2-1
- Update to 1.5.2

* Thu Nov 18 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> 1.5.0-1
- Initial build (BZ#2023009)
